using Contracts.BindingModels;
using Contracts.SearchModels;
using Contracts.ViewModels;

namespace Contracts.BusinessLogicsContracts
{
	public interface IImplementerLogic 
	{
		List<ImplementerViewModel>? ReadList(ImplementerSearchModel? model);
		ImplementerViewModel? ReadElement(ImplementerSearchModel? model);
		bool Create(ImplementerBindingModel? model);
		bool Update(ImplementerBindingModel? model);
		bool Delete(ImplementerBindingModel? model);
	}
}
